# Version SVN: $Id: defaults.yml 192 2015-03-20 17:20:57Z sven.poeche $
defaults:
  transcode:
    name:                             'Transcoder'
    description:                      ''
    weight:                           -9499
    params:
      transcode_quality:
        type:                         set
        value:                        'good'
        set:                          {poor: 'Low quality', normal: 'Normal quality', good: 'Good quality' }
        name:                         'Video conversion'
        description:                  'Choose the quality of video conversion.'
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_width:
        type:                         string
        value:                        720
        name:                         'Width of the converted video stream'
        description:                  'Maximum width of the converted video stream'
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_height:
        type:                         string
        value:                        -2
        name:                         'Height of the converted video stream'
        description:                  'Maximum height of the converted video stream (default: -2 = height will be calculated automatically)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_html5_width:
        type:                         string
        value:                        640
        name:                         'Width of the converted HTML5 video stream'
        description:                  'Maximum width of the converted HTML5 video stream'
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_html5_height:
        type:                         string
        value:                        -2
        name:                         'Height of the converted HTML5 video stream'
        description:                  'Maximum height of the converted HTML5 video stream (default: -2 = height will be calculated automatically)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_save_source:
        type:                         boolean
        value:                        true
        name:                         'Save source files'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_threads:
        type:                         integer
        value:                        0
        name:                         'ffmpeg threads'
        description:                  'Number of threads that ffmpeg is supposed to use to transcode into m4v and webm formats (default: @default, 0 = auto).'
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_mencoder:
        type:                         string
        value:                        ''
        name:                         'mencoder path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_mplayer:
        type:                         string
        value:                        ''
        name:                         'mplayer path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_ffmpeg:
        type:                         string
        value:                        ''
        name:                         'ffmpeg path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_flvtool2:
        type:                         string
        value:                        ''
        name:                         'flvtool2 path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_faststart:
        type:                         string
        value:                        ''
        name:                         'faststart path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false

      transcode_m4v:
        type:                         boolean
        value:                        true
        name:                         'Transcode to mobile MP4 (.m4v)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_ogv:
        type:                         boolean
        value:                        false
        name:                         'Transcode to Ogg Vorbis Video (.ogv)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_webm:
        type:                         boolean
        value:                        false
        name:                         'Transcode to WebM (.webm)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_oga:
        type:                         boolean
        value:                        false
        name:                         'Transcode to Ogg Vorbis Audio (.oga)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcode_wav:
        type:                         boolean
        value:                        false
        name:                         'Transcode to PCM Wave Audio (.wav)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false


